/// <reference types="node" />
export declare class CallLinkRootKey {
    readonly bytes: Buffer;
    private constructor();
    static parse(str: string): CallLinkRootKey;
    static fromBytes(bytes: Buffer): CallLinkRootKey;
    static generate(): CallLinkRootKey;
    static generateAdminPassKey(): Buffer;
    deriveRoomId(): Buffer;
    toString(): string;
}
export declare class CallLinkState {
    name: string;
    restrictions: CallLinkRestrictions;
    revoked: boolean;
    expiration: Date;
    constructor(name: string, restrictions: CallLinkRestrictions, revoked: boolean, expiration: Date);
}
export declare enum CallLinkRestrictions {
    None = 0,
    AdminApproval = 1,
    Unknown = 2
}
